html,
body {
  height: 100%;
  color: #363a3e;
    font-size: 1.25rem;
  font-weight: 700;
}

.page {
  height: 100%;
}

.formContainer {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.filepicker {
  flex: 1 0 680px;
  max-width: 680px;
  padding: 16px 32px;
  background: #fafafa;
  border: 1px solid #d6d7d8;
  text-align: center;
  box-shadow: 0 2px 2px 0 #d6d7d8;
}

.filepicker *,
.filepicker *:after,
.filepicker *:before {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.filepicker h1 {
  margin: 0;
  font-size: 2.5em;
  color: #727578;
  font-weight: 300;
}

.boxWrapper {
  display: flex;
  margin-top: 32px;
}

.box {
  flex: 1 1 50%;
}

.errorMessage{
  color: #F9AE31;
  height: 32px;
}

.fileLabel.disabled {
  pointer-events: none;
  opacity: 0.5;
}

.buttonWrapper {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  border-top: 1px solid #d6d7d8;
  padding-top: 16px;
}

.button {
  padding: 16px 24px;
  text-align: center;
  border-radius: 3px;
  border: 1px solid #d6d7d8;
  cursor: pointer;
  color: #727578;
  background-color: #fff;
  font-size: 16px;
  margin: 8px;
  white-space: nowrap;
  display: block;
  font-weight: 300;
  outline: none;
  opacity: 1;
  transition: 0.5s opacity;
}

.button[disabled] {
  opacity: 0.6;
  pointer-events: none;
}

.button:hover {
  background-color: #f5f5f5;
}

.uploading {
  display: none;
  height: 52px;
  align-items: center;
  justify-content: center;
  font-weight: 300;
  color: #727578;
  margin: 8px;
  font-size: 16px;
}

.uploading img {
  width: 32px;
}

.inputfile {
  width: 0.1px;
  height: 0.1px;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  z-index: -1;
}

.inputfile + label {
  word-wrap: break-word;
  text-overflow: ellipsis;
  white-space: nowrap;
  cursor: pointer;
  display: inline-block;
  overflow: hidden;
  padding: 0.625rem 1.25rem;
}

.inputfile + label > span {
  word-wrap: break-word;
  max-width: 300px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  display: block;
}

.inputfile:focus + label,
.inputfile.has-focus + label {
  outline: none;
}

.inputfile + label svg {
  width: 1em;
  height: 1em;
  vertical-align: middle;
  fill: currentColor;
  margin-top: -0.25em;
  margin-right: 0.25em;
}

.inputfile + label {
  color: #727578;
}

.inputfile:focus + label,
.inputfile.has-focus + label,
.inputfile + label:hover {
  color: #363a3e;
}

.inputfile + label figure {
  width: 100px;
  height: 135px;
  background-color: #c2c4c5;
  display: block;
  position: relative;
  padding: 30px;
  margin: 0 auto 10px;
}

.inputfile:focus + label figure,
.inputfile.has-focus + label figure,
.inputfile + label:hover figure {
  background-color: #86898b;
}

.inputfile + label figure:before,
.inputfile + label figure:after {
  width: 0;
  height: 0;
  content: "";
  position: absolute;
  top: 0;
  right: 0;
}

.inputfile + label figure:before {
  border-top: 20px solid #fafafa;
  border-left: 20px solid transparent;
}

.inputfile + label figure:after {
  border-bottom: 20px solid #86898b;
  border-right: 20px solid transparent;
}

.inputfile:focus + label figure:after,
.inputfile.has-focus + label figure:after,
.inputfile + label:hover figure:after {
  border-bottom-color: #c2c4c5;
}

.inputfile + label svg {
  width: 100%;
  height: 100%;
  fill: #fafafa;
}
